Subject: Re: Problem compiling perl module Term::ReadKey under cygwin
From: "Terry Lincoln" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>, "Steve Kelem" <[email-masked]>
Cc: <[email-masked]>, "Cygwin" <[email-masked]>, <[email-masked]>
Date: Wed, 14 Jun 2000 23:20:44 -0400

----- Original Message -----
From: "Charles S. Wilson" <[email-masked]>
To: "Steve Kelem" <[email-masked]>
Cc: <[email-masked]>; "Cygwin" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, June 14, 2000 1:07 PM
Subject: Re: Problem compiling perl module Term::ReadKey under cygwin

> *I* know of no problems using cpan updates with my perl -- it works fine
> for me. I haven't tried Term::ReadKey though.
>
> However, your problem is different. It's because of a recent change to
> cygwin -- see the recent cygwin mailing list thread entitled 'Wierd
> patch problem' starting with
> http://sourceware.cygnus.com/ml/cygwin/2000-05/msg00671.html
>
> The change to cygwin is that ANY path that contains a backslash is
> interpreted as a windows path, so /tmp\cc001120.base becomes "CURRENT
> DRIVE:\\tmp\\cc001181.base".
>
> I think you need to create a \tmp directory in the root of the drive in
> which you're building. So, if you're building in /usr/local/ and /usr is
> mounted from F:\cygwin, then create F:\tmp
>
> This is a hack to work around an error in the perlbuild scripts ('\'
> shouldn't be used as a path separator) but it works okay on most unices.
> It's just showing up now on cygwin (and only cygwin) because of the
> recent change in cygwin's path handling.
>
> Cygwin List:
>   I think this argues for the recently proposed (and shot down) patch
> that establishes (yet another) CYGWIN= setting so that, if set, paths
> are interpreted as windows paths if and only if they contain ALL '\' and
> no '/'. If that CYGWIN= setting is unset, behavior is unchanged from the
> current.
>
>   This is the second complaint in two days I've gotten on this
> cygwin-perl-/tmp issue.
>
This is arguably a lame excuse for your patch since as you said above,
"...hack to work around an error in the perlbuild scripts ('\'
shouldn't be used as a path separator)..."

Are we then supposed to change the OS and tools in order to excuse
ourselves from fixing the bugs in our applications?
Try this analogous scenario. Pragrammer to Microsoft Engineer: "I keep
getting null pointer exceptions in my program, you should change Windows
so that references to uninitialized data will now return the constant
value 0xDEADBEEF instead of causing an exception."
Let's stick to a convention for awhile, please!  The current one has my
vote.

> --Chuck

Regards, Terry
>
>
> Steve Kelem wrote:
---->snip<-----

--
Want to unsubscribe from this list?
Send a message to [email-masked]